%global momorel 7
%global geckover 1.9.1

Summary: Mono-based implementation of Silverlight
Name: moon
Version: 1.0.1
Release: %{momorel}m%{?dist}
License: see "LICENSE"
Group: Development/Libraries
URL: http://www.mono-project.com/Moonlight
# svn co svn://anonsvn.mono-project.com/source/trunk/moon
Source0: ftp://ftp.novell.com/pub/mono/sources/%{name}/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: moon-1.0b1-x86_64.patch

# build fix only
Patch1: moon-1.0b1-ssize_t.patch

# 
Patch2: moon-1.0.1-mozilla.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPrereq: pkgconfig
BuildPrereq: ffmpeg-devel >= 0.5.1
BuildPrereq: xulrunner-devel-unstable >= %{geckover}
BuildPrereq: xulrunner-devel >= %{geckover}
BuildPrereq: mono-devel >= 2.0.1
BuildPrereq: gtk-sharp2-devel
BuildPrereq: glib2-devel
BuildPrereq: gnome-desktop-sharp-devel
BuildPrereq: cairo-devel
BuildPrereq: gtk2-devel
BuildPrereq: libXrandr-devel
BuildPrereq: alsa-lib-devel
BuildPrereq: pulseaudio-libs-devel
BuildPrereq: freetype-devel
BuildPrereq: fontconfig-devel
BuildPrereq: libXtst-devel
BuildPrereq: ImageMagick-c++-devel
BuildPrereq: dbus-glib-devel
BuildPrereq: ndesk-dbus

BuildPrereq: mono-core >= 2.4

Obsoletes: %{name}-devel

%description
A page to track the various projects that make up the Mono-based
implementation of Silverlight.

The goals are:

    * To run Silverlight applications on Linux.
    * To provide a Linux SDK to build Silverlight applications.
    * To reuse the Silverlight engine we have built for desktop
      applications.

%package mozplugin
Summary: mozilla plugin for moon
Group: Applications/Internet
Requires: moon

%description mozplugin
mozilla plugin for moon

%prep
%setup -q
%if %{_lib}=="lib64"
%patch0 -p1 -b .x86_64
%endif

%patch1 -p1 -b .ssize_t

%patch2 -p1 -b .plugins

%build
autoreconf -vfi
%configure \
    --enable-user-plugin \
    --with-ffmpeg=yes \
    --with-ff3=yes \
    --with-cairo=embeded \
    --with-alsa=yes \
    --with-pulseaudio=yes
#    --with-managed=yes
make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

# build plugin
pushd plugin
make DESTDIR=%{buildroot} test-plugin
popd

mkdir -p %{buildroot}%{_libdir}/mozilla/plugins/moonlight
ln -s %{_libdir}/libavutil.so \
    %{buildroot}%{_libdir}/mozilla/plugins/moonlight/libavutil.so
ln -s %{_libdir}/libavcodec.so \
    %{buildroot}%{_libdir}/mozilla/plugins/moonlight/libavcodec.so
ln -s %{_libdir}/libmoon.so \
    %{buildroot}%{_libdir}/mozilla/plugins/moonlight/libmoon.so
ln -s %{_libdir}/libmono.so \
    %{buildroot}%{_libdir}/mozilla/plugins/moonlight/libmono.so
ln -s %{_libdir}/moon/plugin/libmoonplugin-ff3bridge.so \
    %{buildroot}%{_libdir}/mozilla/plugins/moonlight/libmoonplugin-ff3bridge.so
ln -s %{_libdir}/moon/plugin/libmoonplugin.so \
    %{buildroot}%{_libdir}/mozilla/plugins/moonlight/libmoonplugin.so

mkdir -p %{buildroot}%{_libdir}/mozilla/plugins/moonlight/mono/2.1
ln -s %{_libdir}/mono/2.1/mscorlib.dll \
    %{buildroot}%{_libdir}/mozilla/plugins/moonlight/mono/2.1

find %{buildroot} -name "*.mdb" -delete


%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libmoon.so.*
%{_libdir}/libmoon.so
%exclude %{_libdir}/libmoon.la
%{_libdir}/%{name}
# without-managed
#%{_prefix}/lib/mono/2.1/Mono.Moonlight.dll
#%{_prefix}/lib/mono/2.1/System.Windows.Browser.dll
#%{_prefix}/lib/mono/2.1/System.Windows.dll
#%{_prefix}/lib/mono/3.0/Mono.Moonlight.dll
#%{_prefix}/lib/mono/3.0/System.Windows.Browser.dll
#%{_prefix}/lib/mono/3.0/System.Windows.dll
#%{_prefix}/lib/mono/gac/Mono.Moonlight
#%{_prefix}/lib/mono/gac/System.Windows.Browser
#%{_prefix}/lib/mono/gac/System.Windows

%files mozplugin
%defattr(-, root, root)
%{_libdir}/mozilla/plugins/libmoonloader.so
%dir %{_libdir}/mozilla/plugins/moonlight
%{_libdir}/mozilla/plugins/moonlight/libavutil.so
%{_libdir}/mozilla/plugins/moonlight/libavcodec.so
%{_libdir}/mozilla/plugins/moonlight/libmoon.so
%{_libdir}/mozilla/plugins/moonlight/libmoonplugin.so
%{_libdir}/mozilla/plugins/moonlight/libmoonplugin-ff3bridge.so
%{_libdir}/mozilla/plugins/moonlight/libmono.so
%{_libdir}/mozilla/plugins/moonlight/mono/2.1/mscorlib.dll

%changelog
* Tue Jun 23 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.1-7m)
- rebuild against ffmpeg-0.5.1

* Sat Jun 20 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.1-6m)
- rebuild against xulrunner-1.9.1

* Mon May 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-5m)
- add option -fi to autoreconf
 
* Thu Apr  9 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-4m)
- --without-managed (2.0 cannot build)

* Sun Mar 22 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-3m)
- fix files for x86_64 arch

* Sun Mar 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-2m)
- fix mozplugin

* Sun Mar 22 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1
- enable mozplugin

* Sat Jan 24 2009 Masanobu Sato <satoshiga@momonga-linux.org>
- (1.0b1-4m)
- update x86_64 patch 

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0b1-3m)
- rebuild against rpm-4.6

* Sat Jan 10 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0b1-2m)
- update Patch1 for fuzz=0
- License: see "LICENSE"

* Wed Dec 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.0b1-1m)
- update to 1.0b1
- delete devel mozplugin

* Sat Nov  8 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7-6m)
- good-bye debug symbol

* Sat Jul 26 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7-5m)
- disable ffmpeg (does not work)

* Thu Jul 10 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7-4m)
- add mozplugin package

* Mon Jul  7 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7-3m)
- update x86_64.patch and modify %%files for x86_64

* Sat Jul  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7-2m)
- rebuild mono svn version
- to main

* Sat Jul  5 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7-1m)
- update to 0.7

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.020080316-4m)
- rebuild against gcc43

* Sat Mar 22 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.0.020080316-3m)
- add workaround for ffmpeg

* Thu Mar 20 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.0.020080316-2m)
- add x86_64 patch and modify spec file

* Fri Mar 14 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.020080316-1m)
- initila build
